
%define name    linuxsampler
%define version 2.2.0.16svn4067
%define release 32.1

%define _soname %{name}6

%define _prefix /usr

Summary:	LinuxSampler - modular, streaming capable, realtime audio sampler
Name: linuxsampler
Version: 2.2.0.16svn4067
Release: 32.1.rncbc.suse
Prefix:		%{prefix}
License:	GPL
Source0:	%{name}-%{version}.tar.bz2
URL:		https://www.linuxsampler.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#Packager:	rncbc.org

BuildRequires:	libgig-devel
BuildRequires:	doxygen, pkg-config


%description
LinuxSampler is a work in progress. It's goal is to produce a free
software audio sampler with professional grade features.

It offers disk streaming capability and supports the Gigasampler
format which is currently considered to be the best sampler format
in regards of possibilities and sound quality.

This package provides the backend of LinuxSampler, that is the
sampler engine together with audio and MIDI drivers. LinuxSampler
can be controlled via network interface which uses an ASCII based
protocol called LSCP. You might consider to install a GUI frontend
for LinuxSampler as well.

For more informations please visit http://www.linuxsampler.org


%package dssi
Summary:	LinuxSampler DSSI plug-in
Group:		Productivity/Multimedia/Sound
Requires:	lib%{name} = %{version}

%description dssi
LinuxSampler DSSI plug-in


%package lv2
Summary:	LinuxSampler LV2 plug-in
Group:		Productivity/Multimedia/Sound
Requires:	lib%{name} = %{version}

%description lv2
LinuxSampler LV2 plug-in


%package -n lib%{_soname}
Summary:	LinuxSampler C++ Library
Group:		Productivity/Multimedia/Sound
Provides:	lib%{name}

%description -n lib%{_soname}
LinuxSampler C++ Library.


%package -n lib%{name}-devel
Summary:        Linuxsampler development files
Group:          Development/Libraries
Requires:       lib%{name} = %{version}

%description -n lib%{name}-devel
Linuxsampler development files for allowing 3rd party applications
to link against liblinuxsampler.


%prep

%setup
[ -f Makefile.svn ] && %__make -f Makefile.svn

%build
%configure --enable-optimize --disable-instruments-db
%__make parser
%__make %{?_smp_mflags}
%__make docs

%install
%__make DESTDIR="%{buildroot}" install

%post -n lib%{_soname}
/sbin/ldconfig

%postun -n lib%{_soname}
/sbin/ldconfig

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "/" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*

%files dssi
%defattr(-,root,root)
%dir %{_libdir}/dssi
%{_libdir}/dssi/*

%files lv2
%defattr(-,root,root)
%dir %{_libdir}/lv2
%{_libdir}/lv2/*

%files -n lib%{_soname}
%defattr(-,root,root)
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%doc doc/html/*
%{_libdir}/%{name}/*.so
%{_libdir}/%{name}/*.a
%{_libdir}/%{name}/*.la
%{_libdir}/pkgconfig/linuxsampler.pc
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*

%changelog
* Sat Oct 28 2023 Rui Nuno Capela <rncbc@users.sourceforge.net> 2.2.0.16svn4067
- new svn snapshot.
* Thu May  9 2019 Rui Nuno Capela <rncbc@users.sourceforge.net> 2.2.0
- new release 2.2.0
* Sat Jul 27 2019 Rui Nuno Capela <rncbc@users.sourceforge.net> 2.1.1
- new release 2.1.1
* Tue Nov 28 2017 Rui Nuno Capela <rncbc@users.sourceforge.net> 2.1.0
- Going for linuxsampler 2.1.0 release.
* Wed Jul 15 2015 Rui Nuno Capela <rncbc@users.sourceforge.net> 2.0.0
- Going for linuxsampler 2.0.0 release.
* Fri Jul 31 2009 Christian Schoenebeck <cuse@users.sourceforge.net> 1.0.0
- Going for linuxsampler 1.0.0 release.
* Fri Mar 27 2009 Christian Schoenebeck <cuse@users.sourceforge.net>
- included DSSI and LV2 binaries into linuxsampler package
* Wed Dec  3 2008 Christian Schoenebeck <cuse@users.sourceforge.net>
- fixed rpmbuild: config.h is no longer exported
  (fixes #87, patch by Devin Anderson)
* Thu Dec  6 2007 Christian Schoenebeck <cuse@users.sourceforge.net> 0.5.1
- Going for linuxsampler 0.5.1 release.
* Mon Oct 15 2007 Christian Schoenebeck <cuse@users.sourceforge.net> 0.5.0
- Going for linuxsampler 0.5.0 release.
* Fri Nov 24 2006 Christian Schoenebeck <cuse@users.sourceforge.net> 0.4.0
- Going for linuxsampler 0.4.0 release.
* Thu Jun  1 2006 Rui Nuno Capela <rncbc@users.sourceforge.net>
- changed deprecated copyright attribute to license
- added ldconfig to post-(un)install steps
- added devel package for liblinuxsampler
* Fri Jul 15 2005 Christian Schoenebeck <cuse@users.sourceforge.net> 0.3.3
- Going for linuxsampler 0.3.3 bugfix release.
* Thu Jun 23 2005 Rui Nuno Capela <rncbc@users.sourceforge.net> 0.3.2
- Ready for linuxsampler 0.3.2 bugfix release.
* Sun Jun 12 2005 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Created first official linuxsampler.spec
